CC  = icc
CXX = mpiicpc
FC  = ifort
LINKER = $(CXX)

#OPTS     = -Ofast -no-vec
#OPTS     = -Ofast -xSSE4.2  -DUSE_SIMD
#OPTS     = -Ofast -xAVX  -DUSE_SIMD
OPTS     = -Ofast -xCORE-AVX512 -qopt-zmm-usage=high  -DUSE_SIMD

CFLAGS   = $(PROFILE) -restrict $(OPTS) $(PROFILE)
CXXFLAGS = $(CFLAGS)
ASFLAGS  = -masm=intel
FCFLAGS  =
LFLAGS   = $(PROFILE) $(OPTS)
DEFINES  = -D_GNU_SOURCE  -DNOCHUNK  -DLIKWID_PERFMON
INCLUDES = $(MPIINC) $(LIKWID_INC)
LIBS     = $(LIKWID_LIB) -llikwid
